org.jboss.resteasy.core.interception

## Class JaxrsInterceptorRegistry.LegacySingletonInterceptorFactory

- java.lang.Object
- - org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry.AbstractInterceptorFactory
  - - org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory
    - - org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry.LegacySingletonInterceptorFactory

- All Implemented Interfaces:
    JaxrsInterceptorRegistry.InterceptorFactory
  Enclosing class:
    JaxrsInterceptorRegistry<T>

      protected class JaxrsInterceptorRegistry.LegacySingletonInterceptorFactory
      extends JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `interceptor`

    - ### Fields inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory

      `precedence`

    - ### Fields inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry.AbstractInterceptorFactory

      `declaring, ignorePrematch, initialized, nameBound, order`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsInterceptorRegistry.LegacySingletonInterceptorFactory(Class declaring, Object interceptor, LegacyPrecedence precedence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `getInterceptor()`
    `protected void` | `initialize()`

    - ### Methods inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory

      `getLegacyMatch, preMatch, setPrecedence`

    - ### Methods inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry.AbstractInterceptorFactory

      `checkInitialize, createInterceptor, postMatch, setIgnorePrematch, setOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### interceptor

          protected Object interceptor

  - ### Constructor Detail

    - #### JaxrsInterceptorRegistry.LegacySingletonInterceptorFactory

          public JaxrsInterceptorRegistry.LegacySingletonInterceptorFactory(Class declaring,
                                                                    Object interceptor,
                                                                    LegacyPrecedence precedence)

  - ### Method Detail

    - #### initialize

          protected void initialize()

      Specified by:
        `initialize` in class `JaxrsInterceptorRegistry.AbstractInterceptorFactory`

    - #### getInterceptor

          protected Object getInterceptor()

      Specified by:
        `getInterceptor` in class `JaxrsInterceptorRegistry.AbstractInterceptorFactory`

Copyright © 2014. All Rights Reserved.